| Home · All Classes · All Namespaces · Modules · Functions · Files

# AvatarTokenMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- AvatarTokenMap ()
- AvatarTokenMap (const QMap< uint, QString > &a)
- AvatarTokenMap & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt4 type system.

A dictionary whose keys are contact handles and whose values are avatar tokens.

## Constructor & Destructor Documentation

AvatarTokenMap | ( |  | ) | `[inline]`

AvatarTokenMap | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

AvatarTokenMap& operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`